Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.xmlbeans
Class XmlBeansWSDLBuilder

    java.lang.Object
      org.codehaus.xfire.wsdl11.builder.AbstractWSDL
          org.codehaus.xfire.wsdl11.builder.WSDLBuilder
              org.codehaus.xfire.xmlbeans.XmlBeansWSDLBuilder

All Implemented Interfaces:
  WSDLWriter

    public class XmlBeansWSDLBuilder

extends WSDLBuilder

Field Summary

Fields inherited from class org.codehaus.xfire.wsdl11.builder.AbstractWSDL
`complexQ, elementQ, schemaQ, sequenceQ`

Fields inherited from interface org.codehaus.xfire.wsdl.WSDLWriter
`WSDL11_NS, WSDL11_SOAP_NS`

Constructor Summary
`XmlBeansWSDLBuilder(Service service, TransportManager tman, WSDL11ParameterBinding paramBinding)`

Method Summary
`void` | `addDependency(SchemaType type)`
`org.codehaus.yom.Element` | `getSchema(XmlBeansType xbeanType)`

Methods inherited from class org.codehaus.xfire.wsdl11.builder.WSDLBuilder
`createAbstractInterface, createConcreteInterface, createOperation, createPart, createPart, createPart`

Methods inherited from class org.codehaus.xfire.wsdl11.builder.AbstractWSDL
`addNamespace, createSchemaType, getDefinition, getDocument, getInfo, getNamespacePrefix, getSchemaTypes, getService, hasDependency, hasSchema, setDefinition, setSchema, setSchemaTypes, setService, write, writeComplexTypes, writeDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.xfire.wsdl.WSDLWriter
`write`

Constructor Detail

### XmlBeansWSDLBuilder

    public XmlBeansWSDLBuilder(Service service,
                               TransportManager tman,
                               WSDL11ParameterBinding paramBinding)
                        throws javax.wsdl.WSDLException

Throws:
  `javax.wsdl.WSDLException`

Method Detail

### addDependency

    public void addDependency(SchemaType type)

  Overrides:
    `addDependency` in class `AbstractWSDL`

### getSchema

    public org.codehaus.yom.Element getSchema(XmlBeansType xbeanType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.